Zum Hauptinhalt springen
POST
/
marketing
/
v3
/
forms
cURL
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/forms \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "configuration": {
    "allowLinkToResetKnownValues": true,
    "archivable": true,
    "cloneable": true,
    "createNewContactForNewEmail": true,
    "editable": true,
    "lifecycleStages": [
      {
        "objectTypeId": "<string>",
        "value": "<string>"
      }
    ],
    "notifyContactOwner": true,
    "notifyRecipients": [
      "<string>"
    ],
    "postSubmitAction": {
      "value": "<string>"
    },
    "prePopulateKnownValues": true,
    "recaptchaEnabled": true
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOptions": {
    "renderRawHtml": true,
    "style": {
      "backgroundWidth": "<string>",
      "fontFamily": "<string>",
      "helpTextColor": "<string>",
      "helpTextSize": "<string>",
      "labelTextColor": "<string>",
      "labelTextSize": "<string>",
      "legalConsentTextColor": "<string>",
      "legalConsentTextSize": "<string>",
      "submitColor": "<string>",
      "submitFontColor": "<string>",
      "submitSize": "<string>"
    },
    "submitButtonText": "<string>",
    "cssClass": "<string>"
  },
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "richText": "<string>"
    }
  ],
  "formType": "hubspot",
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}
'
{
  "archived": true,
  "configuration": {
    "allowLinkToResetKnownValues": true,
    "archivable": true,
    "cloneable": true,
    "createNewContactForNewEmail": true,
    "editable": true,
    "lifecycleStages": [
      {
        "objectTypeId": "<string>",
        "value": "<string>"
      }
    ],
    "notifyContactOwner": true,
    "notifyRecipients": [
      "<string>"
    ],
    "postSubmitAction": {
      "value": "<string>"
    },
    "prePopulateKnownValues": true,
    "recaptchaEnabled": true
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOptions": {
    "renderRawHtml": true,
    "style": {
      "backgroundWidth": "<string>",
      "fontFamily": "<string>",
      "helpTextColor": "<string>",
      "helpTextSize": "<string>",
      "labelTextColor": "<string>",
      "labelTextSize": "<string>",
      "legalConsentTextColor": "<string>",
      "legalConsentTextSize": "<string>",
      "submitColor": "<string>",
      "submitFontColor": "<string>",
      "submitSize": "<string>"
    },
    "submitButtonText": "<string>",
    "cssClass": "<string>"
  },
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "richText": "<string>"
    }
  ],
  "formType": "hubspot",
  "id": "<string>",
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
archived
boolean
erforderlich
configuration
object
erforderlich
createdAt
string<date-time>
erforderlich
displayOptions
object
erforderlich
fieldGroups
object[]
erforderlich
formType
enum<string>
Standard:hubspot
erforderlich
Verfügbare Optionen:
hubspot
name
string
erforderlich
updatedAt
string<date-time>
erforderlich
archivedAt
string<date-time>

Antwort

successful operation

archived
boolean
erforderlich
configuration
object
erforderlich
createdAt
string<date-time>
erforderlich
displayOptions
object
erforderlich
fieldGroups
object[]
erforderlich
formType
enum<string>
Standard:hubspot
erforderlich
Verfügbare Optionen:
hubspot
id
string
erforderlich
name
string
erforderlich
updatedAt
string<date-time>
erforderlich
archivedAt
string<date-time>
Last modified on May 26, 2026